# Class FlightRecorderPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
jdk.jfr.FlightRecorderPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class FlightRecorderPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Permission for controlling access to Flight Recorder.

Since:
  9
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlightRecorderPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a `FlightRecorderPermission` with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlightRecorderPermission

    public FlightRecorderPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a `FlightRecorderPermission` with the specified name.
    Parameters:
      `name` - the permission name, must be either `"accessFlightRecorder"` or `"registerEvent"`, not `null`
    Throws:
      `IllegalArgumentException` - if `name` is empty or not valid